Name:           ocaml-ogg
Version:        0.4.3
Release:        %mkrel 5
Summary:        OCaml bindings for the Ogg bitstream library
License:        LGPL with exceptions
Group:          Development/OCaml
URL:            http://sourceforge.net/projects/savonet/files/
Source0:        http://downloads.sourceforge.net/savonet/ocaml-ogg/ocaml-ogg-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  libogg-devel

%description
OCaml bindings for the Ogg bitstream library, libogg is a library
for manipulating ogg bitstreams. It handles both making ogg bitstreams
and getting packets from ogg bitstreams.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libogg-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure
make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ogg
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/ogg
%{_libdir}/ocaml/ogg/META
%{_libdir}/ocaml/ogg/*.cma
%{_libdir}/ocaml/ogg/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%{_libdir}/ocaml/ogg/*.a
%{_libdir}/ocaml/ogg/*.cmxa
%{_libdir}/ocaml/ogg/*.mli
%{_libdir}/ocaml/ogg/*.h


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-5.mga3
+ Revision: 361539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.3-4.mga3
+ Revision: 301546
- rebuild for ocaml 4.00

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.4.3-3.mga3
+ Revision: 299117
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 0.4.3-2.mga2
+ Revision: 229860
- add missing requires to libogg-devel

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.4.3-1.mga2
+ Revision: 194051
- imported package ocaml-ogg

